> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Plan Details

> Retrieve subscription plan details including pricing and frequency



## OpenAPI

````yaml get /v1/subscription-plan/{plan_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/subscription-plan/{plan_id}:
    get:
      summary: Get Subscription Plan Details
      description: >-
        Use this API to get the subscription plan details, if you need to make
        any changes use the Update a Subscription Plan API
      operationId: get-a-subscription-plan-detail
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: plan_id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "973ee344-6737-4897-9929-edbc9d7bf433",
                        "name": "Spotify Premium",
                        "description": "Spotify Monthly Subscription",
                        "cycle": "monthly",
                        "cycle_repeat": null,
                        "cycle_frequency": null,
                        "currency": "sgd",
                        "amount": 9.9,
                        "reference": "spotify_premium_2022",
                        "created_at": "2022-09-12T14:22:26",
                        "updated_at": "2022-09-12T14:22:26"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    examples:
                      - 973ee344-6737-4897-9929-edbc9d7bf433
                  name:
                    type: string
                    examples:
                      - Spotify Premium
                  description:
                    type: string
                    examples:
                      - Spotify Monthly Subscription
                  cycle:
                    type: string
                    examples:
                      - monthly
                  cycle_repeat: {}
                  cycle_frequency: {}
                  currency:
                    type: string
                    examples:
                      - sgd
                  amount:
                    type: number
                    examples:
                      - 9.9
                    default: 0
                  reference:
                    type: string
                    examples:
                      - spotify_premium_2022
                  created_at:
                    type: string
                    examples:
                      - '2022-09-12T14:22:26'
                  updated_at:
                    type: string
                    examples:
                      - '2022-09-12T14:22:26'
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "message": "No query results for model [App\\Business\\SubscriptionPlan] 973ee456-d28f-4418-93c5-d37e4b311685"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    examples:
                      - >-
                        No query results for model
                        [App\Business\SubscriptionPlan]
                        973ee456-d28f-4418-93c5-d37e4b311685
      deprecated: false
      security: []

````